const CONSENT_PROVIDED = '0';
const CONSENT_UNSPECIFIED = 'unspecified';

// Checks for https://globalprivacycontrol.org/
export function hasGlobalPrivacyControlConsent(): boolean {
  const consentValues = [CONSENT_PROVIDED, CONSENT_UNSPECIFIED];

  return consentValues.includes(
    navigator?.globalPrivacyControl ?? CONSENT_UNSPECIFIED
  );
}
